@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");
*,
*::before,
*::after {
  box-sizing: border-box;
  scroll-behavior: smooth;
}
body {
  min-height: 100vh;
  background: #ffffff;
  color: #fff;
  font-size: 16px;
  margin: 0;
  padding: 0;
  font-family: "Montserrat", sans-serif;
  background: url(../img/background.jpg) no-repeat center center;
  background-size: cover;
}
img {
  max-width: 100%;
}
a {
  text-decoration: none;
}
h1,
h2,
h3,
h4 {
  text-transform: uppercase;
  color: white;
}
h5 {
  text-transform: uppercase;
}
h1 {
  margin: 0;
  font-size: 40px;
  font-weight: 900;
}
h4 {
  font-size: 20px;
}

.header {
  text-align: center;
  padding: 10px;
}
.header > div {
  display: flex;
  justify-content: center;
  align-items: center;
}
.main {
  max-width: 1600px;
  margin: 0 auto;
  width: 100%;
  padding: 20px 10px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.mainlogo {
  padding-top: 15px;
  text-align: center;
}
.mainlogo h1 {
  /* background: linear-gradient(180deg, #14ff89, #1f9c00,#009443);
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent; */
  text-shadow: 2px 2px 0 #000, -2px 2px 0 #000, -2px -2px 0 #000,
    2px -2px 0 #000;
}
.hd-2nd h1 {
  color: #fff351;
  text-shadow: 2px 2px 0 #000, -2px 2px 0 #000, -2px -2px 0 #000,
    2px -2px 0 #000;
}
.hd-2nd h1 strong {
  font-size: 1.5em;
  color: #ffff00;
  font-weight: 900;
}
.logoimg {
  width: 100px;
  height: auto;
  border-radius: 5px;
  border: 1px solid #fff;
}
.wheel {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 30px;
}
.wh-container {
  position: absolute;
  z-index: 5;
}
.wh-prices {
  position: relative;
  z-index: 6;
  cursor: pointer;
  max-width: 500px;
}
.wh-lightball {
  position: absolute;
  z-index: 6;
  width: 100%;
  height: 100%;
}
.wh-lightball img {
  width: 100%;
  animation: light-speed 1200ms steps(10, end) infinite;
}

#inner-wheel {
  transform: rotate(0deg);
  transition: transform 4s cubic-bezier(0.33, 1, 0.68, 1);
}
.arrow-spin {
  position: absolute;
  top: -7px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 12;
  width: 50px;
}
.start {
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 90px;
  height: 90px;
  z-index: 10;
  cursor: pointer;
}
.start.disabled {
  filter: grayscale(1);
  cursor: default;
}
.animate-zoom {
  animation: zoominout 200ms ease-in-out alternate;
  -webkit-animation: zoominout 200ms ease-in-out alternate infinite;
}
.start.disabled .animate-zoom {
  animation: none;
  -webkit-animation: none;
}

.bottom-btn {
  max-width: 700px;
  width: 100%;
  margin: 0 auto;
  padding-top: 30px;
  margin-top: 30px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: rgba(17, 151, 73, 0.486);
  border: 2px solid #0aff01;
  border-radius: 20px;
}
.btn-contact {
  width: 170px;
  height: auto;
  text-align: center;
  padding: 10px 20px;
  background: linear-gradient(0deg, #ffee00 0%, #f1d900 50%, #ecc100 100%);
  border-radius: 25px;
  color: #333;
  white-space: nowrap;
  text-transform: uppercase;
  font-weight: 900;
  border: 1px solid #ffee00;
  font-size: 18px;
}
.btn-howto {
  transform: translateY(-20px);
}
.test {
  position: absolute;
  bottom: 0;
  right: 30px;
  margin-top: 30px;
  padding: 10px;
  background: red;
  border-radius: 10px;
  cursor: pointer;
  z-index: 10;
}
.spin-num {
  position: absolute;
  color: #333;
  background: #fff;
  width: 125px;
  left: 52%;
  bottom: -10%;
  transform: translateX(-50%);
  text-align: center;
  border-radius: 5px;
  font-weight: 900;
  padding: 5px;
  text-align: left;
}
#quay-num {
  color: #ff0606;
  font-size: 18px;
  margin-left: 2px;
}

@media (max-width: 1024px) {
  h1 {
    font-size: 5vw;
  }
  .main {
    overflow: hidden;
  }
  .mainlogo {
    flex-direction: column;
    padding-top: 0;
  }
  .mainlogo img {
    margin-bottom: 10px;
  }
  .wheel {
    margin-bottom: 30px;
  }
}

@media (max-width: 768px) {
  body {
    display: flex;
    flex-direction: column;
    padding-top: 20px;
  }
  .mainlogo img {
    margin-bottom: 30px;
  }
  .wheel {
    padding: 5vw;
  }
  .arrow-spin {
    width: 6vw;
  }
  .start {
    width: 16vw;
    height: 16vw;
  }
  .bottom-btn {
    width: 100%;
    margin: 0 auto;
  }
  .spin-num {
      bottom: -14%;
  }
}
@media (max-width: 600px) {
  .bottom-btn {
    flex-direction: column;
    padding: 10px 50px;
  }
  .btn-howto {
    transform: translateY(0px);
  }
  .btn-contact {
    order: 3;
    width: 80%;
    font-size: 3.5vw;
  }
}

@keyframes zoominout {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(1.1);
  }
}

@keyframes light-speed {
  100% {
    transform: rotate(360deg);
  }
}
